Subject: Re: [XCON] Comments on draft-ietf-xcon-examples-03.txt

From: [email-masked]
Date: Wed, 14 Apr 2010 15:14:52 +0200

Dear Gonzalo,

thank you for the helpful review! I have just uploaded a new version  
of the call flows document, which takes into account all of the  
comments you made, as well as some minor remarks made by Sean Duddy.  
Please have a look at the current version of the draft and let us know  
what is your feeling about it.

Cheers,

Simon

Quoting Gonzalo Camarillo <[email-masked]>:

> Hi,
>
> a few comments on the following document:
>
> http://www.ietf.org/id/draft-ietf-xcon-examples-03.txt
>
> This document provides an easy-to-read introduction to CCMP and a set of
> useful call flows for those intending to get an overview of the
> protocol. I have a few minor comments:
>
> Section 2 references RFC 2119. However, the intended status of this
> document is Informational. Besides, the document does not seem to use
> RFC 2119 normative language. That paragraph probably needs to removed.
>
> Section 3:
>
> "This document uses the same terminology as found in the referenced
> documents"
>
> Can we be a bit more precise and actually reference the documents we
> are talking about?
>
> Last paragraph of Section 4. For completness, it should also describe
> the contents of Section 10 (i.e., the lack of IANA considerations).
>
> Section 5: s/indipendently/independently/
>
> Section 5.2
>
> "[I-D.ietf-xcon-ccmp] presents several ways by which CCMP requests and
> responses can be transported"
>
> I may be mistaken but the CCMP spec does not seem to present different
> transports for the protocol. I understood CCMP supports different
> transports but the spec only describes the HTTP transport. We may want
> to rephrase that sentence so that it talks about CCMP potentially
> "supporting" different transport mechanisms instead.
>
> Also in Section 5.2:
>
> "...the Server would reply by means..."
>
> The term being used in the text seems to be ConfS, not Server.
>
> Section 5.3 describes the fact that the XCON notification mechanism is
> based on SIP as a drawback because one needs a SIP stack to use it. It
> would not present it as a drawback; simply as a fact.
>
> Also in Section 5.3:
>
> OLD:
> other protocols as XMPP
>
> NEW
> other protocols such as XMPP
>
> Section 7.2. The two first paragraphs talk about the relationship of
> muting at the media level and floor control. In the past, there has
> been some confusion around this. So, it may be worthwhile clarifying
> that floor control and policy control at the media level are two
> different things. You can have floor control that is not enforced in
> any way, or floor control that is enforced at the media level (i.e.,
> the conference bridge will only accept your media if you have the
> floor). Adding a couple of sentences explaining this would be helpful,
> I think.
>
> Cheers,
>
> Gonzalo
>
> _______________________________________________
> XCON mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/xcon
>

-- 
                             _\\|//_
                             ( O-O )
    ~~~~~~~~~~~~~~~~~~~~~~o00~~(_)~~00o~~~~~~~~~~~~~~~~~~~~~~~~
                     Simon Pietro Romano
               Universita' di Napoli Federico II
                  Computer Science Department
         Phone: +39 081 7683823 -- Fax: +39 081 7684219
                 e-mail: [email-masked]

     <<Molti mi dicono che lo scoraggiamento è l'alibi degli
    idioti. Ci rifletto un istante; e mi scoraggio>>. Magritte.
                          oooO
    ~~~~~~~~~~~~~~~~~~~~~~(   )~~ Oooo~~~~~~~~~~~~~~~~~~~~~~~~~
                           \ (    (   )
                            \_)    ) /
                                  (_/

---

From: Gonzalo Camarillo <[email-masked]>
Date: Thu, 29 Apr 2010 10:42:03 +0300

Hi Simon,

thanks for taking into account all my comments on this and the ccmp draft.

Cheers,

Gonzalo